AnsweredAssumed Answered

How to delete one constraint

Question asked by Gayrat Vlasov on Apr 18, 2017
Latest reply on Apr 19, 2017 by Gayrat Vlasov

I'm have detail, "Sketch1" and set of constraints, what I'm add in code, like this:

swDoc.SketchAddConstraints("sgCOINCIDENT")

 

Now I'm need to find all constarints in "Sketch1" and delete one constraint "Horizontal1" (I'm don't know exact name of constraint)

 

What methods I can use to delete one constraint ?

 

I'm try to delete all constraint in Sketch, but this method don't work, why ?

  boolstatus = swDoc.Extension.SelectByID2("Sketch1", "SKETCH", 0, 0, 0, False, 0, Nothing, 0)

   swDoc.SketchConstraintsDelAll()

Outcomes